/************************************************************************
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control
**
**  modded by Juergen Eckert
**
**  re-moddes by Marc Seiffert 
**
**  Circle-module given by Harry Sk. developed by unknown
**
************************************************************************/

#include <avr/io.h> 
//#include <util/delay.h>
#include <avr/pgmspace.h>
#include "s65/typedefs.h"

#define S65_DISP_W 		132
#define S65_DISP_H 		176

#define DISP_CS	   D,6
#define DISP_RESET  D,2
#define DISP_RS	   D,4 

// Info: Es wird Hardware-SPI verwendet vvvvvv
#define DISP_MOSI   B,5
#define DISP_MISO   B,6
#define DISP_SCK    B,7
// Info: Es wird Hardware-SPI verwendet ^^^^^^

#define PORT(p)		_PORT(p)
#define DDR(p)		_DDR(p)
#define PIN(p)		_PIN(p)
#define BIT(p)		_BIT(p)
#define MASK(p,w)	( _WIDTH(w) << _BIT(p) )
#define	_PORT(x,b)	PORT ## x
#define _DDR(x,b)	DDR ## x
#define _PIN(x,b)	PIN ## x
#define	_BIT(x,b)	P ## x ## b
#define	_WIDTH(w)	(0xff >> (8-w))
#define INPUT(p)	_DDR(p) &= ~(1<<_BIT(p))
#define OUTPUT(p)	_DDR(p) |= (1<<_BIT(p))
#define SET(p)		_PORT(p) |= (1<<_BIT(p))
#define CLR(p)		_PORT(p) &= ~(1<<_BIT(p))
#define	GET(p)		(!! ( _PIN(p) & ( 1<<_BIT(p) ) ) )

#define RGB(r,g,b) (((r & 0xF8) << 8) | ((g & 0xFC) << 3) | ((b & 0xF8)>> 3))

void disp_test(void);
void disp_init(void);
// -----------Alle Endbenutzerfunktionen--------------

// Steuerroutinen
void 	S65_Init(void);
// Einfache Grafikoperationen
void 	S65_Pixel(uint8_t y, uint8_t x, uint16_t farbe);
void	S65_put_pix(unsigned char col);
void 	S65_Fillscreen(uint16_t color);
void	S65_allocatearea(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2);
void	S65_allocatearea2(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2);
// Setzen der Variablen der Textverarbeitung
/*void 	S65_SetFont(uint8_t *pointer);
void 	S65_SetRot(uint8_t r);
void 	S65_SetTextColor(uint16_t color);
void 	S65_SetTextTyp(uint8_t typ);
void 	S65_SetFNull(uint8_t fn);
void 	S65_SetNonTransparenz(uint8_t nt);
// Funktionen der Textverarbeitung
uint8_t	S65_PutChar(uint8_t x, uint8_t y,uint8_t c);
uint8_t	S65_PutStr(uint8_t x, uint8_t y, char *c);*/
// Setzen der Variablen fr die Bitmapverarbeitung
void 	S65_SetBmpTransparenz(uint8_t bt);
void 	S65_SetBmpTransFarbe(uint16_t color);
// Funktionen der Bitmapverarbeitung
void	S65_PutRawBmp16(uint8_t x, uint8_t y, uint8_t *pic, uint8_t w, uint8_t h);
int		S65_PutBmpFromSD(uint8_t x, uint8_t y, char *Bildname);	// Start Koordiante und bildname mit endung angeben.
void	S65_16bit_data(void);
void	S65_8bit_data(void);
void 	S65_refresh(void);

void 	DISP_WrData(unsigned char data);
